#tempfiles
*~
make_log.txt
*__pycache__*

#################################################################################
## Vivado files
#################################################################################
#build direcotry
proj/

#all the vivado stuff in the cores directory execpt the xci files
cores/*/*
!cores/*/*.xci

#anything sub directories in the bd directory
bd/*/*

#################################################################################
## config dirs
#################################################################################
configs/*/cores/*/*
!configs/*/cores/*/*.xci

#################################################################################
## Output files
#################################################################################
bit
os
autogen/cores
autogen/HAL 

#################################################################################
## Temp build files
#################################################################################
src/fw_version.vhd

#################################################################################
## documentation
#################################################################################
doc/*/
doc/*.pdf


#################################################################################
## documentation
#################################################################################
sim/*/*__pycache__
*/*/modelsim.ini
*/*/results.xml
*/*/sim_build/
*/*/transcript
*/*/vsim.wlf
*/*/LHCTriggers
*/*/LHCTriggers.o
*/*/LHCTriggers.so

#################################################################################
## script files
#################################################################################
scripts/AutoDict*